Skip to main content
POST
/
organizations
/
{org_id}
/
analytics
/
requests
Request organization to run analytics
curl --request POST \
  --url https://api.mycreditapp.ai/v1-beta/organizations/{org_id}/analytics/requests \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "host_organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "guest_organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "action_type": "analytics_request",
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

org_id
string<uuid>
required

Unique identifier of the organization

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

Response

Successful Response

id
string<uuid>
required

Unique identifier of the connection action

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

host_organization_id
string<uuid>
required

Organization ID that hosts the analytics request

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

guest_organization_id
string<uuid>
required

Organization ID that is the recipient of the analytics request

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

action_type
enum<string>
required

Type of the connection action

Available options:
analytics_request
status
enum<string>
required

Current status of the connection action

Available options:
active,
resolved
created_at
string<date-time>
required

Timestamp when the connection action was created

Example:

"2025-09-23T16:07:35.675578"

updated_at
string<date-time>
required

Timestamp when the connection action was last updated

Example:

"2025-09-23T16:07:35.675578"